Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 201810-07 ] Mutt, NeoMutt
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Advocate
Advocate


Joined: 12 May 2004
Posts: 2134

PostPosted: Tue Oct 30, 2018 11:26 pm    Post subject: [ GLSA 201810-07 ] Mutt, NeoMutt Reply with quote

Gentoo Linux Security Advisory

Title: Mutt, NeoMutt: Multiple vulnerabilities (GLSA 201810-07)
Severity: normal
Exploitable: remote
Date: 2018-10-30
Bug(s): #661436
ID: 201810-07

Synopsis

Multiple vulnerabilities have been found in Mutt and NeoMutt, the
worst of which allows for arbitrary code execution.


Background

Mutt is a small but very powerful text-based mail client.NeoMutt is a command line mail reader (or MUA). It’s a fork of Mutt
with added features.


Affected Packages

Package: net-client/mutt
Vulnerable: < 1.10.1
Unaffected: >= 1.10.1
Architectures: All supported architectures

Package: mail-client/neomutt
Vulnerable: < 20180716
Unaffected: >= 20180716
Architectures: All supported architectures


Description

Multiple vulnerabilities have been discovered in Mutt, and NeoMutt.
Please review the CVE identifiers referenced below for details.


Impact

A remote attacker could entice a user to open a specially crafted mail
message or connect to malicious mail server using Mutt or NeoMutt,
possibly resulting in execution of arbitrary code or directory traversal
with the privileges of the process or a Denial of Service condition.


Workaround

There is no known workaround at this time.

Resolution

All Mutt users should upgrade to the latest version:
Code:
# emerge --sync
      # emerge --ask --oneshot --verbose ">=net-client/mutt-1.10.1"
   
All NeoMutt users should upgrade to the latest version:
Code:
# emerge --sync
      # emerge --ask --oneshot --verbose ">=mail-client/neomutt-20180716"
   


References

CVE-2018-14349
CVE-2018-14350
CVE-2018-14351
CVE-2018-14352
CVE-2018-14353
CVE-2018-14354
CVE-2018-14355
CVE-2018-14356
CVE-2018-14357
CVE-2018-14358
CVE-2018-14359
CVE-2018-14362
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum